Bug 57416

Summary: Make correspondence of file name related with event to other port.
Product: WebKit Reporter: ChangSeok Oh <kevin.cs.oh>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, kevin.cs.oh
Priority: P3    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Proposed patch
eric: review+, commit-queue: commit-queue-
revised patch to meet latest version(r83419)
none
revised patch to meet latest version(r83419) none

Description ChangSeok Oh 2011-03-29 19:34:32 PDT
Some file names are different from other port' one.
For instance, let's say about MouseEventGtk.cpp
It defines PlatformMouseEvent class for gtk port.
But the other port has same class in different form of file like PlatformMouseEventMac.mm, PlatformMouseEventEfl.cpp and PlatformMouseEventQT.cpp

I think this ruins a correspondence among ports and make user hard to find file.
In my opinion. gtk port should also follow other ports naming rule.
Comment 1 ChangSeok Oh 2011-03-30 22:48:40 PDT
Created attachment 87668 [details]
Proposed patch

This patch just changes three file names.

KeyEventGtk.cpp -> PlatformKeyboardEventGtk.cpp
MouseEventGtk.cpp -> PlatformMouseEventGtk.cpp
WheelEventGtk.cpp -> PlatformWheelEventGtk.cpp
Comment 2 Eric Seidel (no email) 2011-04-10 15:51:44 PDT
Comment on attachment 87668 [details]
Proposed patch

Seems fine.  I can't remember if teh cq can handle renames or not.
Comment 3 WebKit Commit Bot 2011-04-10 15:54:26 PDT
Comment on attachment 87668 [details]
Proposed patch

Rejecting attachment 87668 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sf', 'ap..." exit_code: 2

Last 500 characters of output:
ects to file Source/WebCore/GNUmakefile.am.rej
patching file Source/WebCore/platform/gtk/KeyEventGtk.cpp
rm 'Source/WebCore/platform/gtk/KeyEventGtk.cpp'
patching file Source/WebCore/platform/gtk/MouseEventGtk.cpp
rm 'Source/WebCore/platform/gtk/MouseEventGtk.cpp'
patching file Source/WebCore/platform/gtk/WheelEventGtk.cpp
rm 'Source/WebCore/platform/gtk/WheelEventGtk.cpp'

Failed to run "[u'/Projects/CommitQueue/Tools/Scripts/svn-apply', u'--reviewer', u'Eric Seidel', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/8374755
Comment 4 ChangSeok Oh 2011-04-10 21:21:45 PDT
Created attachment 88966 [details]
revised patch to meet latest version(r83419)
Comment 5 ChangSeok Oh 2011-04-10 21:33:20 PDT
Created attachment 88967 [details]
revised patch to meet latest version(r83419)

To fix build break.
Comment 6 WebKit Commit Bot 2011-04-10 23:53:46 PDT
The commit-queue encountered the following flaky tests while processing attachment 88967 [details]:

java/lc3/JavaObject/JavaObjectToLong-003-n.html bug 58218 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2011-04-10 23:57:53 PDT
Comment on attachment 88967 [details]
revised patch to meet latest version(r83419)

Clearing flags on attachment: 88967

Committed r83429: <http://trac.webkit.org/changeset/83429>
Comment 8 WebKit Commit Bot 2011-04-10 23:58:00 PDT
All reviewed patches have been landed.  Closing bug.